VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
ISharedUIResources Class Referenceabstract
Standalone Library

Shared UI resources interface. More...

Inheritance diagram for ISharedUIResources:

## Public Member Functions
virtual Optional< CColor > | getColor (const UTF8String &name) const =0
| get shared color.
virtual Optional< CBitmap * > | getBitmap (const UTF8String &name) const =0
| get shared bitmap.
virtual Optional< CGradient * > | getGradient (const UTF8String &name) const =0
| get shared gradient.
virtual Optional< CFontDesc * > | getFont (const UTF8String &name) const =0
| get shared font.
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T >
const auto | dynamicCast () const
template<typename T >
auto | dynamicCast ()

## Detailed Description

Shared UI resources interface.

## Member Function Documentation

virtual Optional<CBitmap*> getBitmap | ( | const UTF8String & | name | ) | const
| pure virtual

get shared bitmap.

virtual Optional<CColor> getColor | ( | const UTF8String & | name | ) | const
| pure virtual

get shared color.

virtual Optional<CFontDesc*> getFont | ( | const UTF8String & | name | ) | const
| pure virtual

get shared font.

virtual Optional<CGradient*> getGradient | ( | const UTF8String & | name | ) | const
| pure virtual

get shared gradient.

The documentation for this class was generated from the following file:

- ishareduiresources.h